// ==UserScript==
// @name        Toggl-Button GitHub
// @namespace   https://gitlab.paragon-es.de/toggl-button
// @version     1.6
// @include     http*://github.com/*
// @include     https://toggl.com/app/timer
// @include     https://www.toggl.com/app/timer
// @grant       GM_xmlhttpRequest
// @grant       GM_addStyle
// @grant       GM_getResourceText
// @grant       GM_getValue
// @grant       GM_setValue
// @grant       GM_info
// @grant       GM_registerMenuCommand
// @require     https://greasyfork.org/scripts/2670-toggllibrary/code/TogglLibrary.js
// @resource    togglStyle https://gitlab.paragon-es.de/toggl-button/core/raw/master/TogglLibrary.css
// @description Toggle button for GitHub
// ==/UserScript==


const coreObject = new TogglButtonGM('#partial-discussion-header', function (elem) {
  var description, projectIds = [],
    numElem = elem.querySelector('.gh-header-number', elem),
    titleElem = elem.querySelector('.js-issue-title', elem);

  description = titleElem.textContent.trim();
  if (numElem !== null) {
    description = numElem.textContent.trim() + " " + description;
  }
  var [, author, project] = window.location.pathname.split("/");
  projectIds.push(author);
  projectIds.push(project);

  return {
    className: 'github',
    description: description,
    projectIds: projectIds,
    storeEntryUrl: true
  };
});

coreObject.tryDecorateTimer();
